VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::vm::PowerTypes::State Class Reference

The `Power.State` enumerated type defines the valid power states for a virtual machine. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, POWERED_OFF, POWERED_ON, SUSPENDED }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static State[] | GetValues ()
static State | ValueOf (string name)
## Static Public Attributes
static readonly State | POWERED_OFF = new State("POWERED_OFF", Values.POWERED_OFF)
| The virtual machine is powered off.
static readonly State | POWERED_ON = new State("POWERED_ON", Values.POWERED_ON)
| The virtual machine is powered on.
static readonly State | SUSPENDED = new State("SUSPENDED", Values.SUSPENDED)
| The virtual machine is suspended.

## Detailed Description

The `Power.State` enumerated type defines the valid power states for a virtual machine.

## Member Enumeration Documentation

enum vmware::vcenter::vm::PowerTypes::State::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  POWERED_OFF | The virtual machine is powered off.
  POWERED_ON | The virtual machine is powered on.
  SUSPENDED | The virtual machine is suspended.

## Member Function Documentation

Values vmware::vcenter::vm::PowerTypes::State::GetEnumValue | ( |  | ) | `[inline]`

static State [] vmware::vcenter::vm::PowerTypes::State::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::vm::PowerTypes::State::IsUnknown | ( |  | ) | `[inline]`

static State vmware::vcenter::vm::PowerTypes::State::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly State vmware::vcenter::vm::PowerTypes::State::POWERED_OFF = new State("POWERED_OFF", Values.POWERED_OFF)`[static]`

The virtual machine is powered off.

readonly State vmware::vcenter::vm::PowerTypes::State::POWERED_ON = new State("POWERED_ON", Values.POWERED_ON)`[static]`

The virtual machine is powered on.

readonly State vmware::vcenter::vm::PowerTypes::State::SUSPENDED = new State("SUSPENDED", Values.SUSPENDED)`[static]`

The virtual machine is suspended.

The documentation for this class was generated from the following file:

- PowerTypes.cs